commit:     14baacb85f7273c87210e5e14918852c776ca2c4
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 17 21:41:18 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Aug 17 21:41:18 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14baacb8

net-misc/mosh: Version bump to 1.2.6

Package-Manager: portage-2.3.0

 net-misc/mosh/Manifest          |  1 +
 net-misc/mosh/mosh-1.2.6.ebuild | 72 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/net-misc/mosh/Manifest b/net-misc/mosh/Manifest
index b343b57..e8b6734 100644
--- a/net-misc/mosh/Manifest
+++ b/net-misc/mosh/Manifest
@@ -1,2 +1,3 @@
 DIST mosh-1.2.4.tar.gz 283047 SHA256 
e74d0d323226046e402dd469a176075fc2013b69b0e67cea49762c957175df46 SHA512 
f7505faffdc8da734179b37339b554f83cbf5450b251cd2aa50d63cd6e4cbefa0da17a1c1b2a61858735ac9e5cee5841ed20e81e244380f5f9a02af1b87199cc
 WHIRLPOOL 
b7fe6c87deb139faa4c6542b8de8bb8356e00889a8fc5a9a4d9609312f1654720eda0bdf9db97f48ccf6f15e6b4b2cd9c8d5105e84177a7ce0d3d36923a15e34
 DIST mosh-1.2.5.tar.gz 308857 SHA256 
1af809e5d747c333a852fbf7acdbf4d354dc4bbc2839e3afe5cf798190074be3 SHA512 
6a5a42e5ed3f265bc8bee045340a59f604ab8f08b041573264f5679c29678e84d101537aa2d856923eee8d0a0f9c052dc81cfbfa50ce12bd0eeddc5c8f1fc3ae
 WHIRLPOOL 
df91c18f4f68250fbb91d79b3072f594adb829f46d4228c965082883ee71401d80efef06ceb4662686eda3bdccb43cede365a1cef4c099efe9c41f775b4fdd8c
+DIST mosh-1.2.6.tar.gz 347185 SHA256 
7e82b7fbfcc698c70f5843bb960dadb8e7bd7ac1d4d2151c9d979372ea850e85 SHA512 
fe53ba3ba79fb393f9fd5d3c48b2864838a1b51a8e08f0160bcfb98fc8c2363d2bb77456e1bc79b765d6489a2af54237c5423ebb88a13196a82420be0cbc7403
 WHIRLPOOL 
b8e4f8ecce2a5bf2b7e8238ec12181aeeacabf3a1be8f153d922bda0747894e7c23ab9735824a8c163ab4d6ca7942a4aa064559b9474243b82eee3561dbbc031

diff --git a/net-misc/mosh/mosh-1.2.6.ebuild b/net-misc/mosh/mosh-1.2.6.ebuild
new file mode 100644
index 0000000..a6a0d27
--- /dev/null
+++ b/net-misc/mosh/mosh-1.2.6.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools bash-completion-r1 eutils vcs-snapshot
+
+DESCRIPTION="Mobile shell that supports roaming and intelligent local echo"
+HOMEPAGE="http://mosh.mit.edu";
+SRC_URI="http://mosh.mit.edu/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~mips ~ppc ~x86 ~amd64-linux ~arm-linux ~x86-linux 
~x64-macos"
+IUSE="+client examples +mosh-hardening +server ufw +utempter"
+
+REQUIRED_USE="|| ( client server )
+       examples? ( client )"
+
+RDEPEND="dev-libs/protobuf
+       sys-libs/ncurses:0=
+       virtual/ssh
+       client? (
+               dev-lang/perl
+               dev-perl/IO-Tty
+       )
+       utempter? (
+               sys-libs/libutempter
+       )"
+
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+# [0] - avoid sandbox-violation calling git describe in Makefile
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.2.5-git-version.patch
+)
+
+src_prepare() {
+       # apply patches.
+       epatch ${PATCHES[@]}
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-completion \
+               $(use_enable client) \
+               $(use_enable server) \
+               $(use_enable examples) \
+               $(use_enable ufw) \
+               $(use_enable mosh-hardening hardening) \
+               $(use_with utempter)
+}
+
+src_compile() {
+       emake V=1
+}
+
+src_install() {
+       default
+
+       for myprog in $(find src/examples -type f -perm /0111) ; do
+               newbin ${myprog} ${PN}-$(basename ${myprog})
+               elog "${myprog} installed as ${PN}-$(basename ${myprog})"
+       done
+
+       # bug 477384
+       dobashcomp conf/bash-completion/completions/mosh
+}

Reply via email to